//-- przejazd strzezony z rogatkami drewnianymi 6.0m o napedzie elektrycznym,
// sygnalizacja swietlna i dzwiekowa, linia jednotorowa. 

// p1 - nazwa przejazdu, p2,p3,p4-polozenie,p5-rotacja, p6 - nazwy torow przebiegajacych przez przejazd

event (p1)_warning putvalues 10.0 none (p2) (p3) (p4) Warning_signal 1 2 endevent

origin (p2) (p3) (p4)
rotate 0 (p5) 0

//--- modele sygnalizacji przejazdowej 
//node 800 0 (p1)_Syg1 model -3.5 0.0 4.0 90 PKP/SP2cc.t3d none Lights 1 0 endmodel
node 800 0 (p1)_Syg1 model 3.5 0.0 -4.0 -90 PKP/SP2cc.t3d none Lights 1 0 endmodel

//node 800 0 (p1)_rog1 model -3.0 0.0 4.0 0 PKP/szlab_d_60.t3d none endmodel
node 800 0 (p1)_rog1 model 3.0 0.0 -4.0 180 PKP/szlab_d_60.t3d none endmodel


//--- komorki do wysylania informacji o predkosci dla samochodow
node -1 0 (p1)_syg_mem memcell 0.1 0.1 0.1 SetVelocity -1 -1 none endmemcell
node -1 0 (p1)_syg_distmem memcell 0.1 0.1 0.1 SetProximityVelocity 500 40 none endmemcell


//odczyt z drogi przed przejazdem
event (p1)_syg_info getvalues 1.0 (p1)_syg_mem endevent

//odczyt z drogi daleko przed przejazdem
event (p1)_syg_distinfo getvalues 1.0 (p1)_syg_distmem endevent



//elementarne zdarzenia:

//--- migajace lampki
event (p1)_0_sygn1 lights 0.8 (p1)_Syg1 2 2 endevent
event (p1)_0_sygn2 lights 0.8 (p1)_Syg1 2 2 endevent
//--- zgaszone lampki
event (p1)_1_sygn1 lights 0.8 (p1)_Syg1 1 0 endevent
event (p1)_1_sygn2 lights 0.8 (p1)_Syg1 1 0 endevent

//zamkniecie rogatek
//event (p1)_rog1on animation 5 (p1)_rog1 rotate Ramie01 90.0 0.0 0.0 15 endevent
event (p1)_rog1on animation 5 (p1)_rog1 rotate Ramie01 90.0 0.0 0.0 15 endevent
//otwarcie rogatek
//event (p1)_rog1off animation 1 (p1)_rog1 rotate Ramie01 0.0 0.0 0.0 15 endevent
event (p1)_rog1off animation 1 (p1)_rog1 rotate Ramie01 0.0 0.0 0.0 15 endevent


// wpisywanie informacji o tym ze przejazd zostal zamkniety:
//--- zatrzymywanie pojazdow drogowych 
event (p1)_stop updatevalues 10.0 (p1)_syg_mem SetVelocity 0 -1 endevent
event (p1)_stop updatevalues 10.0 (p1)_syg_distmem SetProximityVelocity 500 0 endevent

//wpisywanie informacji o tym ze przejazd zostal otwarty:
event (p1)_go updatevalues 1.0 (p1)_syg_mem SetVelocity -1 -1 endevent
event (p1)_stop updatevalues 10.0 (p1)_syg_distmem SetProximityVelocity 500 40 endevent

// globalne procedury sterujace:
//--- zamykanie przejazdu - musi byc podpiete jako event1 do torow (z kazdego kierunku) daleko przed przejazdem 
// oraz do toru na samym przejezdzie (zabezpieczenie na wypadek mijania sie 2 pociagow!)
event (p1)_zamykaj multiple 0.0 none (p1)_stop (p1)_0_sygn1 (p1)_0_sygn2 (p1)_rog1on endevent

//---otwieranie przejazdu - zdarzenia musza byc podpiete jako event1 do torow tuz za przejazdem (dla kazdego kierunku)
event (p1)_otwieraj1 multiple 3.0 none (p1)_otwierajgdywolny1 endevent


event (p1)_otwierajgdywolny1 multiple 1.0 (p6) (p1)_go (p1)_1_sygn1 (p1)_1_sygn2 (p1)_rog1off condition trackfree endevent


// komentarz: ostatnie zdarzenia otwieraj* sa warunkowe (conditional) - wyzwalane jest przez najechanie pojazdu na tor
// za przejazdem ale tylko gdy tor o nazwie (p6) lub (p7) ktory jest na przejezdzie bedzie wolny.

rotate 0 0 0
endorigin

//Modyfikacja by Bizon - sq1mhv@wp.pl , www.koleje.glt.pl